rowSums {raster} | R Documentation

## rowSums and colSums for Raster objects

### Description

Sum values of Raster objects by row or column.

### Usage

    ## S4 method for signature 'Raster'
    rowSums(x, na.rm=FALSE, dims=1L,...)
    ## S4 method for signature 'Raster'
    colSums(x, na.rm=FALSE, dims=1L,...)

### Arguments

`x` | Raster* object
`na.rm` | logical. If `TRUE`, `NA` values are ignored
`dims` | this argument is ignored
`...` | additional arguments (none implemented)

### Value

vector (if `x` is a RasterLayer) or matrix

### See Also

See `cellStats` for summing all cells values

### Examples

    r <- raster(ncols=2, nrows=5)
    values(r) <- 1:10
    as.matrix(r)
    rowSums(r)
    colSums(r)

[Package raster version 2.5-2 Index]